Update Global Config schema
POST
https://api.vercel.com/v1/global-config/{edgeConfigId}/schemaUpdate a Global Config's schema.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.globalConfig.patchEdgeConfigSchema({ edgeConfigId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", requestBody: { definition: "<value>", }, });
console.log(result);}
run();Response
"value"AuthorizationbearerToken
Default authentication mechanism
200Success
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error